Bug Hunting Session
Bug 84695 - Textbox in shape is not accessible without mouse
Summary: Textbox in shape is not accessible without mouse
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords: accessibility
Depends on:
Blocks:
 
Reported: 2014-10-05 19:56 UTC by Regina Henschel
Modified: 2016-10-25 19:02 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Document with textbox in shape (9.54 KB, application/vnd.oasis.opendocument.text)
2014-10-05 19:56 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2014-10-05 19:56:22 UTC
Created attachment 107378 [details]
Document with textbox in shape

The textbox is not usable without mouse.
To reproduce:
Open attached document.
Press Shift+F4 to select the shape.

Now try to switch to text edit mode.

Look at https://help.libreoffice.org/Writer/Shortcut_Keys_for_Writer
According to help, "F2 or Enter or any key that produces a character on screen" should result in, "If a text frame is selected: positions the cursor to the end of the text in the text frame. If you press any key that produces a character on screen, and the document is in edit mode, the character is appended to the text."

Or look at https://help.libreoffice.org/Common/General_Shortcut_Keys_in#Shortcut_keys_for_editing_or_formatting_documents
According to help, "Enter (if a drawing object or text object is selected)" should result in, "Activates text input mode".

All these methods work, when a shape without textbox is selected, but neither of them work, when the shape has got a textbox via "Add Text Box".
Comment 1 Buovjaga 2014-11-14 19:13:48 UTC
Reproduced.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-12_01:10:08
Comment 2 Robinson Tryon (qubit) 2015-12-10 03:37:47 UTC Comment hidden (obsolete)
Comment 3 Commit Notification 2016-04-05 09:01:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ab450ee1ca2bee69cba752045781a3298311b181

tdf#84695 sw: make TextBox in shape accessible without mouse

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-21 16:04:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=79509573b8666c18027f1e642d9bdadd88c3fcc6&h=libreoffice-5-1

tdf#84695 sw: make TextBox in shape accessible without mouse

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-05 07:50:03 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=138b2890927c5c856419ac1592f168ca6a072893

Related: tdf#84695 sw: fix TextBox begin text edit by pressing normal char

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.